summaryrefslogtreecommitdiffstats
path: root/mail
diff options
context:
space:
mode:
authormarcus <marcus@FreeBSD.org>2002-09-16 07:45:06 +0000
committermarcus <marcus@FreeBSD.org>2002-09-16 07:45:06 +0000
commit7cb90fa4a48a6d97185c248265a87cb7788be6ea (patch)
tree15c5d752d19690c913dc8b9aa22b1410dbfdb463 /mail
parent6f17a5e8cca68ee825b3c4da09a51a80bec97734 (diff)
downloadFreeBSD-ports-7cb90fa4a48a6d97185c248265a87cb7788be6ea.zip
FreeBSD-ports-7cb90fa4a48a6d97185c248265a87cb7788be6ea.tar.gz
Update to 2.0.2. This is release comes after a big rewrite to remove
deprectaed code, and fix I18N support.
Diffstat (limited to 'mail')
-rw-r--r--mail/balsa2/Makefile5
-rw-r--r--mail/balsa2/distinfo2
-rw-r--r--mail/balsa2/files/patch-configure84
-rw-r--r--mail/balsa2/files/patch-doc_C_Makefile.in20
-rw-r--r--mail/balsa2/files/patch-doc_omf.make11
-rw-r--r--mail/balsa2/files/patch-doc_xmldocs.make11
-rw-r--r--mail/balsa2/files/patch-src_address-book-config.c11
-rw-r--r--mail/balsa2/pkg-plist48
8 files changed, 97 insertions, 95 deletions
diff --git a/mail/balsa2/Makefile b/mail/balsa2/Makefile
index 7adbfe4..c9a8979 100644
--- a/mail/balsa2/Makefile
+++ b/mail/balsa2/Makefile
@@ -6,8 +6,7 @@
#
PORTNAME= balsa2
-PORTVERSION= 2.0.1
-PORTREVISION= 3
+PORTVERSION= 2.0.2
CATEGORIES= mail gnome
MASTER_SITES= http://www.theochem.kth.se/~pawsa/balsa/ \
ftp://ftp.newton.cx/pub/balsa/
@@ -50,7 +49,7 @@ post-patch:
@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g ; \
s|DATADIRNAME=lib|DATADIRNAME=share|g' \
${WRKSRC}/configure ${WRKSRC}/libmutt/configure
- @find ${WRKSRC} -name "Makefile.in*" | xargs ${REINPLACE_CMD} -e \
+ @${FIND} ${WRKSRC} -name "Makefile.in*" | xargs ${REINPLACE_CMD} -e \
's|[(]datadir[)]/gnome/|(datadir)/|g ; \
s|[(]datadir[)]/locale|(prefix)/share/locale|g ; \
s|[(]gnomedatadir[)]/gnome|(gnomedatadir)|g'
diff --git a/mail/balsa2/distinfo b/mail/balsa2/distinfo
index d7ad5cf..c9f3edc 100644
--- a/mail/balsa2/distinfo
+++ b/mail/balsa2/distinfo
@@ -1 +1 @@
-MD5 (balsa-2.0.1.tar.bz2) = 30f867b45b202a34e161f61ced8be73b
+MD5 (balsa-2.0.2.tar.bz2) = 1be2808633666332ab149a43172aabac
diff --git a/mail/balsa2/files/patch-configure b/mail/balsa2/files/patch-configure
index e94143b..018334b 100644
--- a/mail/balsa2/files/patch-configure
+++ b/mail/balsa2/files/patch-configure
@@ -1,13 +1,13 @@
---- configure.orig Mon Jun 10 04:35:15 2002
-+++ configure Tue Sep 10 14:01:26 2002
-@@ -7644,13 +7644,13 @@
+--- configure.orig Sun Sep 15 14:42:04 2002
++++ configure Mon Sep 16 02:28:13 2002
+@@ -8477,13 +8477,13 @@
- subdirs="$subdirs libmutt"
--echo "$as_me:7647: checking for new_pspell_manager in -lpspell" >&5
+
+-echo "$as_me:$LINENO: checking for new_pspell_manager in -lpspell" >&5
-echo $ECHO_N "checking for new_pspell_manager in -lpspell... $ECHO_C" >&6
-if test "${ac_cv_lib_pspell_new_pspell_manager+set}" = set; then
-+echo "$as_me:7647: checking for new_aspell_speller in -lpspell" >&5
++echo "$as_me:$LINENO: checking for new_aspell_speller in -lpspell" >&5
+echo $ECHO_N "checking for new_aspell_speller in -lpspell... $ECHO_C" >&6
+if test "${ac_cv_lib_pspell_new_aspell_speller+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16,14 +16,18 @@
-LIBS="-lpspell -lstdc++ -lpspell-modules $LIBS"
+LIBS="-lpspell -lstdc++ $LIBS"
cat >conftest.$ac_ext <<_ACEOF
- #line 7655 "configure"
+ #line $LINENO "configure"
#include "confdefs.h"
-@@ -7661,11 +7661,11 @@
+@@ -8494,7 +8494,7 @@
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
-char new_pspell_manager ();
+char new_aspell_speller ();
+ #ifdef F77_DUMMY_MAIN
+ # ifdef __cplusplus
+ extern "C"
+@@ -8504,7 +8504,7 @@
int
main ()
{
@@ -32,9 +36,9 @@
;
return 0;
}
-@@ -7682,18 +7682,18 @@
+@@ -8521,18 +8521,18 @@
ac_status=$?
- echo "$as_me:7683: \$? = $ac_status" >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_pspell_new_pspell_manager=yes
+ ac_cv_lib_pspell_new_aspell_speller=yes
@@ -47,66 +51,30 @@
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
--echo "$as_me:7694: result: $ac_cv_lib_pspell_new_pspell_manager" >&5
+-echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_pspell_manager" >&5
-echo "${ECHO_T}$ac_cv_lib_pspell_new_pspell_manager" >&6
-if test $ac_cv_lib_pspell_new_pspell_manager = yes; then
-+echo "$as_me:7694: result: $ac_cv_lib_pspell_new_aspell_speller" >&5
++echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_aspell_speller" >&5
+echo "${ECHO_T}$ac_cv_lib_pspell_new_aspell_speller" >&6
+if test $ac_cv_lib_pspell_new_aspell_speller = yes; then
- cat >>confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define HAVE_LIBPSPELL 1
- EOF
-@@ -9345,7 +9345,7 @@
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- CATOBJEXT=.mo
-- DATADIRNAME=lib
-+ DATADIRNAME=share
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- INSTOBJEXT=.mo
-@@ -9643,7 +9643,7 @@
+ _ACEOF
+@@ -12348,7 +12348,7 @@
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lldap -llber -lresolv $LIBS"
+LIBS="-lldap -llber $LIBS"
cat >conftest.$ac_ext <<_ACEOF
- #line 9648 "configure"
+ #line $LINENO "configure"
#include "confdefs.h"
-@@ -9690,7 +9690,7 @@
- cat >>confdefs.h <<\EOF
+@@ -12403,7 +12403,7 @@
#define ENABLE_LDAP 1
- EOF
-- LIBS="-lldap -llber -lresolv $LIBS"
-+ LIBS="-lldap -llber $LIBS"
+ _ACEOF
+
+- LIBS="-lldap -llber -lresolv $LIBS"
++ LIBS="-lldap -llber $LIBS"
else
- { { echo "$as_me:9695: error: *** You enabled LDAP but ldap library is not found." >&5
+ { { echo "$as_me:$LINENO: error: *** You enabled LDAP but ldap library is not found." >&5
echo "$as_me: error: *** You enabled LDAP but ldap library is not found." >&2;}
-@@ -9726,7 +9726,7 @@
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
--LIBS="-lesmtp -lpthread $LIBS"
-+LIBS="-lesmtp "-pthread" $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line 9731 "configure"
- #include "confdefs.h"
-@@ -9770,7 +9770,7 @@
- echo "$as_me:9770: result: $ac_cv_lib_esmtp_smtp_start_session" >&5
- echo "${ECHO_T}$ac_cv_lib_esmtp_smtp_start_session" >&6
- if test $ac_cv_lib_esmtp_smtp_start_session = yes; then
-- LIBS="$LIBS -lesmtp -lpthread"
-+ LIBS="$LIBS -lesmtp "-pthread""
- else
- { { echo "$as_me:9775: error: *** You enabled ESMTP but esmtp library is not found." >&5
- echo "$as_me: error: *** You enabled ESMTP but esmtp library is not found." >&2;}
-@@ -11508,7 +11508,7 @@
- { echo "$as_me:11508: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
- echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
- # The eval makes quoting arguments work.
-- eval $ac_sub_configure $ac_sub_configure_args \
-+ eval $ac_sub_configure \
- --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
- { { echo "$as_me:11513: error: $ac_sub_configure failed for $ac_subdir" >&5
- echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
diff --git a/mail/balsa2/files/patch-doc_C_Makefile.in b/mail/balsa2/files/patch-doc_C_Makefile.in
new file mode 100644
index 0000000..276e88c
--- /dev/null
+++ b/mail/balsa2/files/patch-doc_C_Makefile.in
@@ -0,0 +1,20 @@
+--- doc/C/Makefile.in.orig Mon Sep 16 02:48:06 2002
++++ doc/C/Makefile.in Mon Sep 16 02:48:50 2002
+@@ -208,7 +208,7 @@
+ # ************* Begin of section some packagers may need to modify **************
+ # This variable (docdir) specifies where the documents should be installed.
+ # This default value should work for most packages.
+-docdir = $(datadir)/@PACKAGE@/doc/$(docname)/$(lang)
++docdir = $(prefix)/share/doc/@PACKAGE@/$(docname)/$(lang)
+
+ # ************** You should not have to edit below this line *******************
+ xml_files = $(entities) $(docname).xml
+@@ -218,7 +218,7 @@
+ CLEANFILES = omf_timestamp
+
+ omf_dest_dir = $(datadir)/omf/@PACKAGE@
+-scrollkeeper_localstate_dir = $(localstatedir)/scrollkeeper
++scrollkeeper_localstate_dir = /var/db/scrollkeeper
+ subdir = doc/C
+ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ CONFIG_HEADER = $(top_builddir)/config.h
diff --git a/mail/balsa2/files/patch-doc_omf.make b/mail/balsa2/files/patch-doc_omf.make
new file mode 100644
index 0000000..dcc6726
--- /dev/null
+++ b/mail/balsa2/files/patch-doc_omf.make
@@ -0,0 +1,11 @@
+--- doc/omf.make.orig Mon Sep 16 02:46:07 2002
++++ doc/omf.make Mon Sep 16 02:46:37 2002
+@@ -27,7 +27,7 @@
+ #
+
+ omf_dest_dir=$(datadir)/omf/@PACKAGE@
+-scrollkeeper_localstate_dir = $(localstatedir)/scrollkeeper
++scrollkeeper_localstate_dir = /var/db/scrollkeeper
+
+ omf: omf_timestamp
+
diff --git a/mail/balsa2/files/patch-doc_xmldocs.make b/mail/balsa2/files/patch-doc_xmldocs.make
new file mode 100644
index 0000000..8637e29
--- /dev/null
+++ b/mail/balsa2/files/patch-doc_xmldocs.make
@@ -0,0 +1,11 @@
+--- doc/xmldocs.make.orig Mon Sep 16 02:44:11 2002
++++ doc/xmldocs.make Mon Sep 16 02:44:32 2002
+@@ -36,7 +36,7 @@
+ # ************* Begin of section some packagers may need to modify **************
+ # This variable (docdir) specifies where the documents should be installed.
+ # This default value should work for most packages.
+-docdir = $(datadir)/@PACKAGE@/doc/$(docname)/$(lang)
++docdir = $(prefix)/share/doc/@PACKAGE@/$(docname)/$(lang)
+
+ # ************** You should not have to edit below this line *******************
+ xml_files = $(entities) $(docname).xml
diff --git a/mail/balsa2/files/patch-src_address-book-config.c b/mail/balsa2/files/patch-src_address-book-config.c
deleted file mode 100644
index b623a2e..0000000
--- a/mail/balsa2/files/patch-src_address-book-config.c
+++ /dev/null
@@ -1,11 +0,0 @@
---- src/address-book-config.c.orig Thu Jun 20 00:18:24 2002
-+++ src/address-book-config.c Thu Jun 20 00:16:15 2002
-@@ -576,7 +576,7 @@
- create_entry(mcw, table, NULL, NULL, 1,
- ab ? ab->host : host, label);
-
-- label = create_label(_("_Base Domain Name"), table, 2, label);
-+ label = create_label(_("_Base Domain Name"), table, 2);
- abc->ab_specific.ldap.base_dn =
- create_entry(mcw, table, NULL, NULL, 2,
- ab ? ab->base_dn : base, label);
diff --git a/mail/balsa2/pkg-plist b/mail/balsa2/pkg-plist
index b3bb128..9f1da9b 100644
--- a/mail/balsa2/pkg-plist
+++ b/mail/balsa2/pkg-plist
@@ -1,7 +1,25 @@
bin/balsa
etc/sound/events/balsa.soundlist
etc/sound/events/email.soundlist
-share/gnome/apps/Internet/balsa.desktop
+share/doc/balsa/balsa-manual/C/balsa-manual.xml
+share/doc/balsa/balsa-manual/C/fdl-appendix.xml
+share/doc/balsa/balsa-manual/C/figures/address-book-ldap.png
+share/doc/balsa/balsa-manual/C/figures/address-book-modify.png
+share/doc/balsa/balsa-manual/C/figures/address-book-start.png
+share/doc/balsa/balsa-manual/C/figures/address-book-vcard.png
+share/doc/balsa/balsa-manual/C/figures/address-book.png
+share/doc/balsa/balsa-manual/C/figures/balsa_logo.png
+share/doc/balsa/balsa-manual/C/figures/druid-start.png
+share/doc/balsa/balsa-manual/C/figures/example-alias.png
+share/doc/balsa/balsa-manual/C/figures/figuresdobaaddress-book-modify.png
+share/doc/balsa/balsa-manual/C/figures/main-window-toolbar.png
+share/doc/balsa/balsa-manual/C/figures/main-window.png
+share/doc/balsa/balsa-manual/C/figures/newmsg-window-attachments.png
+share/doc/balsa/balsa-manual/C/figures/newmsg-window-toolbar.png
+share/doc/balsa/balsa-manual/C/figures/newmsg-window.png
+share/doc/balsa/balsa-manual/C/figures/preferences-window.png
+share/doc/balsa/balsa-manual/C/figures/spell-check.png
+share/gnome/applications/balsa.desktop
share/gnome/balsa/pixmaps/attachment.png
share/gnome/balsa/pixmaps/balsa-logo.png
share/gnome/balsa/pixmaps/balsa-top.png
@@ -9,24 +27,7 @@ share/gnome/balsa/pixmaps/balsa-watermark.png
share/gnome/balsa/pixmaps/balsa_icon.png
share/gnome/balsa/pixmaps/balsa_logo.png
share/gnome/balsa/pixmaps/gnome-balsa2.png
-share/gnome/help/balsa-manual/C/balsa-manual.xml
-share/gnome/help/balsa-manual/C/fdl-appendix.xml
-share/gnome/help/balsa-manual/C/figures/address-book-ldap.png
-share/gnome/help/balsa-manual/C/figures/address-book-modify.png
-share/gnome/help/balsa-manual/C/figures/address-book-start.png
-share/gnome/help/balsa-manual/C/figures/address-book-vcard.png
-share/gnome/help/balsa-manual/C/figures/address-book.png
-share/gnome/help/balsa-manual/C/figures/balsa_logo.png
-share/gnome/help/balsa-manual/C/figures/druid-start.png
-share/gnome/help/balsa-manual/C/figures/example-alias.png
-share/gnome/help/balsa-manual/C/figures/main-window-toolbar.png
-share/gnome/help/balsa-manual/C/figures/main-window.png
-share/gnome/help/balsa-manual/C/figures/newmsg-window-attachments.png
-share/gnome/help/balsa-manual/C/figures/newmsg-window-toolbar.png
-share/gnome/help/balsa-manual/C/figures/newmsg-window.png
-share/gnome/help/balsa-manual/C/figures/preferences-window.png
-share/gnome/help/balsa-manual/C/figures/spell-check.png
-share/gnome/help/balsa-manual/C/topic.dat
+share/gnome/omf/balsa/balsa-manual-C.omf
share/gnome/sounds/balsa/newmail.wav
share/gnome/sounds/balsa/startup.wav
share/locale/az/LC_MESSAGES/balsa.mo
@@ -60,13 +61,16 @@ share/locale/sk/LC_MESSAGES/balsa.mo
share/locale/sl/LC_MESSAGES/balsa.mo
share/locale/sv/LC_MESSAGES/balsa.mo
share/locale/tr/LC_MESSAGES/balsa.mo
+share/locale/vi/LC_MESSAGES/balsa.mo
share/locale/uk/LC_MESSAGES/balsa.mo
share/locale/wa/LC_MESSAGES/balsa.mo
share/locale/zh_CN/LC_MESSAGES/balsa.mo
share/locale/zh_TW/LC_MESSAGES/balsa.mo
@dirrm share/gnome/sounds/balsa
-@dirrm share/gnome/help/balsa-manual/C/figures
-@dirrm share/gnome/help/balsa-manual/C
-@dirrm share/gnome/help/balsa-manual
+@dirrm share/gnome/omf/balsa
@dirrm share/gnome/balsa/pixmaps
@dirrm share/gnome/balsa
+@dirrm share/doc/balsa/balsa-manual/C/figures
+@dirrm share/doc/balsa/balsa-manual/C
+@dirrm share/doc/balsa/balsa-manual
+@dirrm share/doc/balsa
OpenPOWER on IntegriCloud